Package com.microblink.blinkid.entities.recognizers.blinkid.generic

# Enum Class FieldType

java.lang.Object
java.lang.Enum<FieldType>
com.microblink.blinkid.entities.recognizers.blinkid.generic.FieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<FieldType>`, `Constable`

public enum FieldType extends Enum<FieldType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AdditionalAddressInformation`
  `AdditionalNameInformation`
  `AdditionalOptionalAddressInformation`
  `AdditionalPersonalIdNumber`
  `Address`
  `BloodType`
  `ClassEffectiveDate`
  `ClassExpiryDate`
  `Conditions`
  `DateOfBirth`
  `DateOfExpiry`
  `DateOfIssue`
  `DependentDateOfBirth`
  `DependentDocumentNumber`
  `DependentFullName`
  `DependentSex`
  `DocumentAdditionalNumber`
  `DocumentNumber`
  `DocumentOptionalAdditionalNumber`
  `DocumentSubtype`
  `EligibilityCategory`
  `Employer`
  `Endorsements`
  `FathersName`
  `FirstName`
  `FullName`
  `IssuingAuthority`
  `LastName`
  `LicenceType`
  `LocalizedName`
  `ManufacturingYear`
  `MaritalStatus`
  `MothersName`
  `Mrz`
  `Nationality`
  `PersonalIdNumber`
  `PlaceOfBirth`
  `Profession`
  `Race`
  `Religion`
  `Remarks`
  `ResidencePermitType`
  `ResidentialStatus`
  `Restrictions`
  `Sex`
  `SpecificDocumentValidity`
  `Sponsor`
  `VehicleClass`
  `VehicleType`
  `VisaType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FieldType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FieldType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AdditionalAddressInformation

    public static final FieldType AdditionalAddressInformation

  - ### AdditionalNameInformation

    public static final FieldType AdditionalNameInformation

  - ### AdditionalOptionalAddressInformation

    public static final FieldType AdditionalOptionalAddressInformation

  - ### AdditionalPersonalIdNumber

    public static final FieldType AdditionalPersonalIdNumber

  - ### Address

    public static final FieldType Address

  - ### ClassEffectiveDate

    public static final FieldType ClassEffectiveDate

  - ### ClassExpiryDate

    public static final FieldType ClassExpiryDate

  - ### Conditions

    public static final FieldType Conditions

  - ### DateOfBirth

    public static final FieldType DateOfBirth

  - ### DateOfExpiry

    public static final FieldType DateOfExpiry

  - ### DateOfIssue

    public static final FieldType DateOfIssue

  - ### DocumentAdditionalNumber

    public static final FieldType DocumentAdditionalNumber

  - ### DocumentOptionalAdditionalNumber

    public static final FieldType DocumentOptionalAdditionalNumber

  - ### DocumentNumber

    public static final FieldType DocumentNumber

  - ### Employer

    public static final FieldType Employer

  - ### Endorsements

    public static final FieldType Endorsements

  - ### FathersName

    public static final FieldType FathersName

  - ### FirstName

    public static final FieldType FirstName

  - ### FullName

    public static final FieldType FullName

  - ### IssuingAuthority

    public static final FieldType IssuingAuthority

  - ### LastName

    public static final FieldType LastName

  - ### LicenceType

    public static final FieldType LicenceType

  - ### LocalizedName

    public static final FieldType LocalizedName

  - ### MaritalStatus

    public static final FieldType MaritalStatus

  - ### MothersName

    public static final FieldType MothersName

  - ### Mrz

    public static final FieldType Mrz

  - ### Nationality

    public static final FieldType Nationality

  - ### PersonalIdNumber

    public static final FieldType PersonalIdNumber

  - ### PlaceOfBirth

    public static final FieldType PlaceOfBirth

  - ### Profession

    public static final FieldType Profession

  - ### Race

    public static final FieldType Race

  - ### Religion

    public static final FieldType Religion

  - ### ResidentialStatus

    public static final FieldType ResidentialStatus

  - ### Restrictions

    public static final FieldType Restrictions

  - ### Sex

    public static final FieldType Sex

  - ### VehicleClass

    public static final FieldType VehicleClass

  - ### BloodType

    public static final FieldType BloodType

  - ### Sponsor

    public static final FieldType Sponsor

  - ### VisaType

    public static final FieldType VisaType

  - ### DocumentSubtype

    public static final FieldType DocumentSubtype

  - ### Remarks

    public static final FieldType Remarks

  - ### ResidencePermitType

    public static final FieldType ResidencePermitType

  - ### ManufacturingYear

    public static final FieldType ManufacturingYear

  - ### VehicleType

    public static final FieldType VehicleType

  - ### DependentDateOfBirth

    public static final FieldType DependentDateOfBirth

  - ### DependentSex

    public static final FieldType DependentSex

  - ### DependentDocumentNumber

    public static final FieldType DependentDocumentNumber

  - ### DependentFullName

    public static final FieldType DependentFullName

  - ### EligibilityCategory

    public static final FieldType EligibilityCategory

  - ### SpecificDocumentValidity

    public static final FieldType SpecificDocumentValidity

- ## Method Details

  - ### values

    public static FieldType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FieldType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null